*{
    padding: 0;
    margin: 0;
    box-sizing: border-box;
}
body{
    display: flex;
    justify-content: center;
    align-items: center;
    min-height: 100vh;
    background: #000;
}
.elastic{
    position: relative;
    width: 400px;
    height: 400px;
    /* background: #111; */
    display: flex;
    justify-content: center;
    align-items: flex-end;
}
.elastic::before{
    content: '';
    position: absolute;
    left: 5px;
    bottom: 63px;
    width: 15px;
    height: 15px;
    background: #fff;
    border-radius: 50%;
    z-index: 1;
}
.elastic::after{
    content: '';
    position: absolute;
    right: 5px;
    bottom: 63px;
    width: 15px;
    height: 15px;
    background: #fff;
    border-radius: 50%;
    z-index: 1;
}
.elastic svg{
    position:absolute;
    width: 400px;
    height: 150px;
    fill: none;
}
.elastic svg:nth-child(2){
    filter: blur(25px);
}
.elastic svg path{
    width: 100%;
    stroke: #ff0092;
    stroke-width: 10;
    stroke-linecap: round;
    d: path("M 10 80 Q 190 80 390 80");
    animation: animate 2.5s linear infinite,animatecolor 2.5s linear infinite;
}
@keyframes animate{
    0%{
        d: path("M 10 80 Q 190 80 390 80");
    }
    10%{
        d: path("M 10 80 Q 190 160 390 80");
    }
    20%{
        d: path("M 10 80 Q 190 20 390 80");
    }
    30%{
        d: path("M 10 80 Q 190 120 390 80");
    }
    35%{
        d: path("M 10 80 Q 190 100 390 80");
    }
    40%{
        d: path("M 10 80 Q 190 80 390 80");
    }
    50%{
        d: path("M 10 80 Q 190 100 390 80");
    }
    55%{
        d: path("M 10 80 Q 190 90 390 80");
    }
    60%{
        d: path("M 10 80 Q 190 80 390 80");
    }
}
@keyframes animatecolor{
    0%,100%{
        stroke: #ff0092;
    }
    33.9%{
        stroke: #0f0;
    }
    66.66%{
        stroke:#ff0;
    }
}
.elastic .ball{
    position: relative;
    width: 60px;
    height: 60px;
    background: #fff;
    border-radius: 50%;
    box-shadow: inset 0 15px 20px #999;
    animation: animateball 2.5s linear infinite;
}
@keyframes animateball{
    0%,100%{
        transform: translateY(-72.5px);
    }
    10%,11.5%{
        transform: translateY(-40px);
    }
    50%{
        transform: translateY(-350px);
    }
}